package com.emato.cuspay.util;

import com.emato.cuspay.wx.dto.WxQuerySuccessResponseMsgDto;
import com.google.common.collect.Lists;
import org.dom4j.Document;
import org.dom4j.DocumentHelper;
import org.dom4j.Element;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

/**
 * 获取请求微信订单查询接口返回xml中的state
 * @author huangyq
 * @version 1.0
 * 2018-05-24 15:53
 */
public class ReaderXmlForDOM4J {

    public static WxQuerySuccessResponseMsgDto parse(String protocolXML, int count) {
        WxQuerySuccessResponseMsgDto querySuccessResponseDto = new WxQuerySuccessResponseMsgDto();
        try {
            Document doc=(Document) DocumentHelper.parseText(protocolXML);
            Element books = doc.getRootElement();
            // Iterator users_subElements = books.elementIterator("UID");//指定获取那个元素
            Iterator Elements = books.elementIterator();
            while(Elements.hasNext()){
                Element user = (Element)Elements.next();
                String state ="state_"+(count);
                String subOrderNo ="sub_order_no_"+(count);
                String subOrderId ="sub_order_id_"+(count);
                String mchCustomsNo ="mch_customs_no_"+(count);
                String customs ="customs_"+(count);
                String feeType ="fee_type_"+(count);
                String orderFee ="order_fee_"+(count);
                String duty ="duty_"+(count);
                String transportFee ="transport_fee_"+(count);
                String productFee ="product_fee_"+(count);
                String explanation ="explanation_"+(count);
                String modifyTime ="modify_time_"+(count);
                String certCheckResult ="cert_check_result_"+(count);
                if(state.equalsIgnoreCase(user.getName())){
                    querySuccessResponseDto.setState(user.getText());
                }
                if(subOrderNo.equalsIgnoreCase(user.getName())){
                    querySuccessResponseDto.setSubOrderNo(user.getText());
                }
                if(subOrderId.equalsIgnoreCase(user.getName())){
                    querySuccessResponseDto.setSubOrderId(user.getText());
                }
                if(mchCustomsNo.equalsIgnoreCase(user.getName())){
                    querySuccessResponseDto.setMchCustomsNo(user.getText());
                }
                if(customs.equalsIgnoreCase(user.getName())){
                    querySuccessResponseDto.setCustoms(user.getText());
                }
                if(feeType.equalsIgnoreCase(user.getName())){
                    querySuccessResponseDto.setFeeType(user.getText());
                }
                if(orderFee.equalsIgnoreCase(user.getName())){
                    querySuccessResponseDto.setOrderFee(Integer.parseInt(user.getText()));
                }
                if(duty.equalsIgnoreCase(user.getName())){
                    querySuccessResponseDto.setDuty(Integer.parseInt(user.getText()));
                }
                if(transportFee.equalsIgnoreCase(user.getName())){
                    querySuccessResponseDto.setTransportFee(Integer.parseInt(user.getText()));
                }
                if(productFee.equalsIgnoreCase(user.getName())){
                    querySuccessResponseDto.setProductFee(Integer.parseInt(user.getText()));
                }
                if(explanation.equalsIgnoreCase(user.getName())){
                    querySuccessResponseDto.setExplanation(user.getText());
                }
                if(modifyTime.equalsIgnoreCase(user.getName())){
                    querySuccessResponseDto.setModifyTime(user.getText());
                }
                if(certCheckResult.equalsIgnoreCase(user.getName())){
                    querySuccessResponseDto.setCertCheckResult(user.getText());
                }
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        return querySuccessResponseDto;
    }
}
